Index: trunk/ArchTOIPipe/TestPipes/mainxmlpipe.cc
===================================================================
--- trunk/ArchTOIPipe/TestPipes/mainxmlpipe.cc	(revision 2227)
+++ trunk/ArchTOIPipe/TestPipes/mainxmlpipe.cc	(revision 2238)
@@ -2,5 +2,5 @@
 // main genere automatiquement par xsl
 // ne pas modifier
-// derniere mise a jour : VF le 22/10/2002
+// derniere mise a jour : VF le 29/10/2002 -- derniere version
 
 // inclusions expat
@@ -25,8 +25,17 @@
 #endif
 
-#include "smoothtoi.h"
-#include "demopipe.h"
 #include "fitstoirdr.h"
 #include "fitstoiwtr.h"
+#include "smoothtoi.h"
+#include "toi2map.h"
+#include "map2toi.h"
+#include "flag2map.h"
+#include "rztoi.h"
+#include "rztoi.h"
+#include "noisegen.h"
+#include "noisegen.h"
+#include "noisegen.h"
+#include "meanvarestim.h"
+#include "demopipe.h"
 
 // classe de gestion des balises en design patern object call-back
@@ -163,7 +172,6 @@
   } else if (id == "") {                                            // si nouveau processeur
 
-  if ((string)name == "smooth") {
-    uint_4 lsm;
-    uint_4 deg;
+  if ((string)name == "fitsreader") {
+    string fn;
     
 	
@@ -176,15 +184,11 @@
 	
 	//initialisation des arguments par defaut si existants
-	
-
-	// mise a jour des arguments
-	
-	if ((string)atts[i] == "lsm") {
-	   lsm = atoi(atts[i+1]);
-	     
-	}
-    	
-	if ((string)atts[i] == "deg") {
-	   deg = atoi(atts[i+1]);
+	fn = "test.fits";
+	   
+
+	// mise a jour des arguments
+	
+	if ((string)atts[i] == "fn") {
+	   fn = atts[i+1];
 	     
 	}
@@ -193,8 +197,9 @@
    
     // creation du toiprocesseur
-    toiProc[id] = new DataSmooth (lsm, deg);
-  }
-
-  if ((string)name == "demopipe") {
+    toiProc[id] = new FITSTOIReader (fn);
+  }
+
+  if ((string)name == "fitswriter") {
+    string fn;
     
 	
@@ -211,12 +216,18 @@
 	// mise a jour des arguments
 	
+	if ((string)atts[i] == "fn") {
+	   fn = atts[i+1];
+	     
+	}
+    	
       }
    
     // creation du toiprocesseur
-    toiProc[id] = new DemoPipe ();
-  }
-
-  if ((string)name == "fitsreader") {
-    string fn;
+    toiProc[id] = new FITSTOIWriter (fn);
+  }
+
+  if ((string)name == "smooth") {
+    uint_4 lsm;
+    uint_4 deg;
     
 	
@@ -229,11 +240,15 @@
 	
 	//initialisation des arguments par defaut si existants
-	fn = "test.fits";
-	   
-
-	// mise a jour des arguments
-	
-	if ((string)atts[i] == "fn") {
-	   fn = atts[i+1];
+	
+
+	// mise a jour des arguments
+	
+	if ((string)atts[i] == "lsm") {
+	   lsm = atoi(atts[i+1]);
+	     
+	}
+    	
+	if ((string)atts[i] == "deg") {
+	   deg = atoi(atts[i+1]);
 	     
 	}
@@ -242,9 +257,10 @@
    
     // creation du toiprocesseur
-    toiProc[id] = new FITSTOIReader (fn);
-  }
-
-  if ((string)name == "fitswriter") {
-    string fn;
+    toiProc[id] = new DataSmooth (lsm, deg);
+  }
+
+  if ((string)name == "toi2map") {
+    string map;
+    string wmap;
     
 	
@@ -257,10 +273,16 @@
 	
 	//initialisation des arguments par defaut si existants
-	
-
-	// mise a jour des arguments
-	
-	if ((string)atts[i] == "fn") {
-	   fn = atts[i+1];
+	wmap = "NULL";
+	   
+
+	// mise a jour des arguments
+	
+	if ((string)atts[i] == "map") {
+	   map = atts[i+1];
+	     
+	}
+    	
+	if ((string)atts[i] == "wmap") {
+	   wmap = atts[i+1];
 	     
 	}
@@ -269,5 +291,272 @@
    
     // creation du toiprocesseur
-    toiProc[id] = new FITSTOIWriter (fn);
+    toiProc[id] = new TOI2Map (map, wmap);
+  }
+
+  if ((string)name == "map2toi") {
+    string sph;
+    
+	
+    // gestion des arguments du constructeur
+    for (i=0; atts[i]; i+=2) {
+      // var pour instanciation
+        if ((string)atts[i] == "id") {
+            id=atts[i+1];
+      	}
+	
+	//initialisation des arguments par defaut si existants
+	
+
+	// mise a jour des arguments
+	
+	if ((string)atts[i] == "sph") {
+	   sph = atts[i+1];
+	     
+	}
+    	
+      }
+   
+    // creation du toiprocesseur
+    toiProc[id] = new Map2TOI (sph);
+  }
+
+  if ((string)name == "flag2map") {
+    string map;
+    string wmap;
+    
+	
+    // gestion des arguments du constructeur
+    for (i=0; atts[i]; i+=2) {
+      // var pour instanciation
+        if ((string)atts[i] == "id") {
+            id=atts[i+1];
+      	}
+	
+	//initialisation des arguments par defaut si existants
+	wmap = "NULL";
+	   
+
+	// mise a jour des arguments
+	
+	if ((string)atts[i] == "map") {
+	   map = atts[i+1];
+	     
+	}
+    	
+	if ((string)atts[i] == "wmap") {
+	   wmap = atts[i+1];
+	     
+	}
+    	
+      }
+   
+    // creation du toiprocesseur
+    toiProc[id] = new FLAG2Map (map, wmap);
+  }
+
+  if ((string)name == "rztoiproc") {
+    int w1;
+    int w2;
+    int nmax;
+    
+	
+    // gestion des arguments du constructeur
+    for (i=0; atts[i]; i+=2) {
+      // var pour instanciation
+        if ((string)atts[i] == "id") {
+            id=atts[i+1];
+      	}
+	
+	//initialisation des arguments par defaut si existants
+	w1 = 4096;
+	   w2 = 128;
+	   nmax = 20;
+	   
+
+	// mise a jour des arguments
+	
+	if ((string)atts[i] == "w1") {
+	   w1 = atoi(atts[i+1]);
+	     
+	}
+    	
+	if ((string)atts[i] == "w2") {
+	   w2 = atoi(atts[i+1]);
+	     
+	}
+    	
+	if ((string)atts[i] == "nmax") {
+	   nmax = atoi(atts[i+1]);
+	     
+	}
+    	
+      }
+   
+    // creation du toiprocesseur
+    toiProc[id] = new RzTOIProc (w1, w2, nmax);
+  }
+
+  if ((string)name == "rzsimpletoiproc") {
+    int wsz;
+    double fact;
+    
+	
+    // gestion des arguments du constructeur
+    for (i=0; atts[i]; i+=2) {
+      // var pour instanciation
+        if ((string)atts[i] == "id") {
+            id=atts[i+1];
+      	}
+	
+	//initialisation des arguments par defaut si existants
+	wsz = 1024;
+	   fact = 1.0;
+	   
+
+	// mise a jour des arguments
+	
+	if ((string)atts[i] == "wsz") {
+	   wsz = atoi(atts[i+1]);
+	     
+	}
+    	
+	if ((string)atts[i] == "fact") {
+	   fact = atof(atts[i+1]);
+	     
+	}
+    	
+      }
+   
+    // creation du toiprocesseur
+    toiProc[id] = new RzSimpleTOIProc (wsz, fact);
+  }
+
+  if ((string)name == "noisegen") {
+    
+	
+    // gestion des arguments du constructeur
+    for (i=0; atts[i]; i+=2) {
+      // var pour instanciation
+        if ((string)atts[i] == "id") {
+            id=atts[i+1];
+      	}
+	
+	//initialisation des arguments par defaut si existants
+	
+
+	// mise a jour des arguments
+	
+      }
+   
+    // creation du toiprocesseur
+    toiProc[id] = new NoiseGen ();
+  }
+
+  if ((string)name == "noisegengauss") {
+    float sigma;
+    
+	
+    // gestion des arguments du constructeur
+    for (i=0; atts[i]; i+=2) {
+      // var pour instanciation
+        if ((string)atts[i] == "id") {
+            id=atts[i+1];
+      	}
+	
+	//initialisation des arguments par defaut si existants
+	
+
+	// mise a jour des arguments
+	
+	if ((string)atts[i] == "sigma") {
+	   sigma = atof(atts[i+1]);
+	     
+	}
+    	
+      }
+   
+    // creation du toiprocesseur
+    toiProc[id] = new NoiseGenGauss (sigma);
+  }
+
+  if ((string)name == "noisegen00F") {
+    float fknee;
+    float sigma;
+    
+	
+    // gestion des arguments du constructeur
+    for (i=0; atts[i]; i+=2) {
+      // var pour instanciation
+        if ((string)atts[i] == "id") {
+            id=atts[i+1];
+      	}
+	
+	//initialisation des arguments par defaut si existants
+	
+
+	// mise a jour des arguments
+	
+	if ((string)atts[i] == "fknee") {
+	   fknee = atof(atts[i+1]);
+	     
+	}
+    	
+	if ((string)atts[i] == "sigma") {
+	   sigma = atof(atts[i+1]);
+	     
+	}
+    	
+      }
+   
+    // creation du toiprocesseur
+    toiProc[id] = new NoiseGenOOF (fknee, sigma);
+  }
+
+  if ((string)name == "meanvarestimator") {
+    int nsamp;
+    
+	
+    // gestion des arguments du constructeur
+    for (i=0; atts[i]; i+=2) {
+      // var pour instanciation
+        if ((string)atts[i] == "id") {
+            id=atts[i+1];
+      	}
+	
+	//initialisation des arguments par defaut si existants
+	
+
+	// mise a jour des arguments
+	
+	if ((string)atts[i] == "nsamp") {
+	   nsamp = atoi(atts[i+1]);
+	     
+	}
+    	
+      }
+   
+    // creation du toiprocesseur
+    toiProc[id] = new MeanVarEstimator (nsamp);
+  }
+
+  if ((string)name == "demopipe") {
+    
+	
+    // gestion des arguments du constructeur
+    for (i=0; atts[i]; i+=2) {
+      // var pour instanciation
+        if ((string)atts[i] == "id") {
+            id=atts[i+1];
+      	}
+	
+	//initialisation des arguments par defaut si existants
+	
+
+	// mise a jour des arguments
+	
+      }
+   
+    // creation du toiprocesseur
+    toiProc[id] = new DemoPipe ();
   }
   
@@ -276,4 +565,12 @@
     // gestion des methodes 
 
+  if (id == "fitsreader") {
+    
+  }
+
+  if (id == "fitswriter") {
+    
+  }
+
   if (id == "smooth") {
     
@@ -372,13 +669,674 @@
   }
 
+  if (id == "toi2map") {
+    
+    if ((string)name == "SetEquinox") {
+    double actualyear;
+    
+	
+    // gestion des arguments de la methode
+    for (i=0; atts[i]; i+=2) {     
+	//initialisation des arguments par defaut si existants
+	actualyear = 2000;
+	   
+
+	// mise a jour des arguments
+	
+	if ((string)atts[i] == "actualyear") {
+	   actualyear = atof(atts[i+1]);
+	   
+	}
+    	
+      }
+   
+    // appelle de la methode du processeur concerne
+    ((TOI2Map*)toiProc[id])->SetEquinox (actualyear); 
+    }
+    
+    if ((string)name == "SetCoorIn") {
+    long mfg;
+    
+	
+    // gestion des arguments de la methode
+    for (i=0; atts[i]; i+=2) {     
+	//initialisation des arguments par defaut si existants
+	mfg = TypCoordGalStd;
+	   
+
+	// mise a jour des arguments
+	
+	if ((string)atts[i] == "mfg") {
+	   mfg = atoi(atts[i+1]);
+	   
+	}
+    	
+      }
+   
+    // appelle de la methode du processeur concerne
+    ((TOI2Map*)toiProc[id])->SetCoorIn (mfg); 
+    }
+    
+    if ((string)name == "SetCoorInChr") {
+    char* ctype;
+    
+	
+    // gestion des arguments de la methode
+    for (i=0; atts[i]; i+=2) {     
+	//initialisation des arguments par defaut si existants
+	
+
+	// mise a jour des arguments
+	
+	if ((string)atts[i] == "ctype") {
+	   ctype = atts[i+1];
+	   
+	}
+    	
+      }
+   
+    // appelle de la methode du processeur concerne
+    ((TOI2Map*)toiProc[id])->SetCoorIn (ctype); 
+    }
+    
+    if ((string)name == "SetCoorMap") {
+    long mfg;
+    
+	
+    // gestion des arguments de la methode
+    for (i=0; atts[i]; i+=2) {     
+	//initialisation des arguments par defaut si existants
+	mfg = TypCoordGal;
+	   
+
+	// mise a jour des arguments
+	
+	if ((string)atts[i] == "mfg") {
+	   mfg = atoi(atts[i+1]);
+	   
+	}
+    	
+      }
+   
+    // appelle de la methode du processeur concerne
+    ((TOI2Map*)toiProc[id])->SetCoorMap (mfg); 
+    }
+    
+    if ((string)name == "SetCoorMapChr") {
+    char* ctype;
+    
+	
+    // gestion des arguments de la methode
+    for (i=0; atts[i]; i+=2) {     
+	//initialisation des arguments par defaut si existants
+	
+
+	// mise a jour des arguments
+	
+	if ((string)atts[i] == "ctype") {
+	   ctype = atts[i+1];
+	   
+	}
+    	
+      }
+   
+    // appelle de la methode du processeur concerne
+    ((TOI2Map*)toiProc[id])->SetCoorMap (ctype); 
+    }
+    
+    if ((string)name == "SetCalibrationFactor") {
+    double fac;
+    
+	
+    // gestion des arguments de la methode
+    for (i=0; atts[i]; i+=2) {     
+	//initialisation des arguments par defaut si existants
+	fac = 1.;
+	   
+
+	// mise a jour des arguments
+	
+	if ((string)atts[i] == "fac") {
+	   fac = atof(atts[i+1]);
+	   
+	}
+    	
+      }
+   
+    // appelle de la methode du processeur concerne
+    ((TOI2Map*)toiProc[id])->SetCalibrationFactor (fac); 
+    }
+    
+    if ((string)name == "SetTestFlag") {
+    bool tflg;
+    long badflg;
+    
+	
+    // gestion des arguments de la methode
+    for (i=0; atts[i]; i+=2) {     
+	//initialisation des arguments par defaut si existants
+	tflg = "false";
+	   badflg = FlgToiAll;
+	   
+
+	// mise a jour des arguments
+	
+	if ((string)atts[i] == "tflg") {
+	   tflg = atts[i+1];
+	   
+	}
+    	
+	if ((string)atts[i] == "badflg") {
+	   badflg = atoi(atts[i+1]);
+	   
+	}
+    	
+      }
+   
+    // appelle de la methode du processeur concerne
+    ((TOI2Map*)toiProc[id])->SetTestFlag (tflg, badflg); 
+    }
+    
+    if ((string)name == "SetTestMin") {
+    bool tmin;
+    double vmin;
+    
+	
+    // gestion des arguments de la methode
+    for (i=0; atts[i]; i+=2) {     
+	//initialisation des arguments par defaut si existants
+	tmin = "false";
+	   vmin = -1.e30;
+	   
+
+	// mise a jour des arguments
+	
+	if ((string)atts[i] == "tmin") {
+	   tmin = atts[i+1];
+	   
+	}
+    	
+	if ((string)atts[i] == "vmin") {
+	   vmin = atof(atts[i+1]);
+	   
+	}
+    	
+      }
+   
+    // appelle de la methode du processeur concerne
+    ((TOI2Map*)toiProc[id])->SetTestMin (tmin, vmin); 
+    }
+    
+    if ((string)name == "SetTestMax") {
+    bool tmax;
+    double vmax;
+    
+	
+    // gestion des arguments de la methode
+    for (i=0; atts[i]; i+=2) {     
+	//initialisation des arguments par defaut si existants
+	tmax = "false";
+	   vmax = +1.e30;
+	   
+
+	// mise a jour des arguments
+	
+	if ((string)atts[i] == "tmax") {
+	   tmax = atts[i+1];
+	   
+	}
+    	
+	if ((string)atts[i] == "vmax") {
+	   vmax = atof(atts[i+1]);
+	   
+	}
+    	
+      }
+   
+    // appelle de la methode du processeur concerne
+    ((TOI2Map*)toiProc[id])->SetTestMax (tmax, vmax); 
+    }
+    
+  }
+
+  if (id == "map2toi") {
+    
+    if ((string)name == "SetBad") {
+    long flg;
+    
+	
+    // gestion des arguments de la methode
+    for (i=0; atts[i]; i+=2) {     
+	//initialisation des arguments par defaut si existants
+	flg = FlgToiOut;
+	   
+
+	// mise a jour des arguments
+	
+	if ((string)atts[i] == "flg") {
+	   flg = atoi(atts[i+1]);
+	   
+	}
+    	
+      }
+   
+    // appelle de la methode du processeur concerne
+    ((Map2TOI*)toiProc[id])->SetBad (flg); 
+    }
+    
+    if ((string)name == "SetEquinox") {
+    double actualyear;
+    
+	
+    // gestion des arguments de la methode
+    for (i=0; atts[i]; i+=2) {     
+	//initialisation des arguments par defaut si existants
+	actualyear = 2000;
+	   
+
+	// mise a jour des arguments
+	
+	if ((string)atts[i] == "actualyear") {
+	   actualyear = atof(atts[i+1]);
+	   
+	}
+    	
+      }
+   
+    // appelle de la methode du processeur concerne
+    ((Map2TOI*)toiProc[id])->SetEquinox (actualyear); 
+    }
+    
+    if ((string)name == "SetCoorIn") {
+    long mfg;
+    
+	
+    // gestion des arguments de la methode
+    for (i=0; atts[i]; i+=2) {     
+	//initialisation des arguments par defaut si existants
+	mfg = TypCoordGalStd;
+	   
+
+	// mise a jour des arguments
+	
+	if ((string)atts[i] == "mfg") {
+	   mfg = atoi(atts[i+1]);
+	   
+	}
+    	
+      }
+   
+    // appelle de la methode du processeur concerne
+    ((Map2TOI*)toiProc[id])->SetCoorIn (mfg); 
+    }
+    
+    if ((string)name == "SetCoorInChr") {
+    char* ctype;
+    
+	
+    // gestion des arguments de la methode
+    for (i=0; atts[i]; i+=2) {     
+	//initialisation des arguments par defaut si existants
+	
+
+	// mise a jour des arguments
+	
+	if ((string)atts[i] == "ctype") {
+	   ctype = atts[i+1];
+	   
+	}
+    	
+      }
+   
+    // appelle de la methode du processeur concerne
+    ((Map2TOI*)toiProc[id])->SetCoorIn (ctype); 
+    }
+    
+    if ((string)name == "SetCoorMap") {
+    long mfg;
+    
+	
+    // gestion des arguments de la methode
+    for (i=0; atts[i]; i+=2) {     
+	//initialisation des arguments par defaut si existants
+	mfg = TypCoordGal;
+	   
+
+	// mise a jour des arguments
+	
+	if ((string)atts[i] == "mfg") {
+	   mfg = atoi(atts[i+1]);
+	   
+	}
+    	
+      }
+   
+    // appelle de la methode du processeur concerne
+    ((Map2TOI*)toiProc[id])->SetCoorMap (mfg); 
+    }
+    
+    if ((string)name == "SetCoorMapChr") {
+    char* ctype;
+    
+	
+    // gestion des arguments de la methode
+    for (i=0; atts[i]; i+=2) {     
+	//initialisation des arguments par defaut si existants
+	
+
+	// mise a jour des arguments
+	
+	if ((string)atts[i] == "ctype") {
+	   ctype = atts[i+1];
+	   
+	}
+    	
+      }
+   
+    // appelle de la methode du processeur concerne
+    ((Map2TOI*)toiProc[id])->SetCoorMap (ctype); 
+    }
+    
+  }
+
+  if (id == "flag2map") {
+    
+    if ((string)name == "SetEquinox") {
+    double actualyear;
+    
+	
+    // gestion des arguments de la methode
+    for (i=0; atts[i]; i+=2) {     
+	//initialisation des arguments par defaut si existants
+	actualyear = 2000;
+	   
+
+	// mise a jour des arguments
+	
+	if ((string)atts[i] == "actualyear") {
+	   actualyear = atof(atts[i+1]);
+	   
+	}
+    	
+      }
+   
+    // appelle de la methode du processeur concerne
+    ((FLAG2Map*)toiProc[id])->SetEquinox (actualyear); 
+    }
+    
+    if ((string)name == "SetCoorIn") {
+    long mfg;
+    
+	
+    // gestion des arguments de la methode
+    for (i=0; atts[i]; i+=2) {     
+	//initialisation des arguments par defaut si existants
+	mfg = TypCoordGalStd;
+	   
+
+	// mise a jour des arguments
+	
+	if ((string)atts[i] == "mfg") {
+	   mfg = atoi(atts[i+1]);
+	   
+	}
+    	
+      }
+   
+    // appelle de la methode du processeur concerne
+    ((FLAG2Map*)toiProc[id])->SetCoorIn (mfg); 
+    }
+    
+    if ((string)name == "SetCoorInChr") {
+    char* ctype;
+    
+	
+    // gestion des arguments de la methode
+    for (i=0; atts[i]; i+=2) {     
+	//initialisation des arguments par defaut si existants
+	
+
+	// mise a jour des arguments
+	
+	if ((string)atts[i] == "ctype") {
+	   ctype = atts[i+1];
+	   
+	}
+    	
+      }
+   
+    // appelle de la methode du processeur concerne
+    ((FLAG2Map*)toiProc[id])->SetCoorIn (ctype); 
+    }
+    
+    if ((string)name == "SetCoorMap") {
+    long mfg;
+    
+	
+    // gestion des arguments de la methode
+    for (i=0; atts[i]; i+=2) {     
+	//initialisation des arguments par defaut si existants
+	mfg = TypCoordGal;
+	   
+
+	// mise a jour des arguments
+	
+	if ((string)atts[i] == "mfg") {
+	   mfg = atoi(atts[i+1]);
+	   
+	}
+    	
+      }
+   
+    // appelle de la methode du processeur concerne
+    ((FLAG2Map*)toiProc[id])->SetCoorMap (mfg); 
+    }
+    
+    if ((string)name == "SetCoorMapChr") {
+    char* ctype;
+    
+	
+    // gestion des arguments de la methode
+    for (i=0; atts[i]; i+=2) {     
+	//initialisation des arguments par defaut si existants
+	
+
+	// mise a jour des arguments
+	
+	if ((string)atts[i] == "ctype") {
+	   ctype = atts[i+1];
+	   
+	}
+    	
+      }
+   
+    // appelle de la methode du processeur concerne
+    ((FLAG2Map*)toiProc[id])->SetCoorMap (ctype); 
+    }
+    
+    if ((string)name == "SetCalibrationFactor") {
+    double fac;
+    
+	
+    // gestion des arguments de la methode
+    for (i=0; atts[i]; i+=2) {     
+	//initialisation des arguments par defaut si existants
+	fac = 1.;
+	   
+
+	// mise a jour des arguments
+	
+	if ((string)atts[i] == "fac") {
+	   fac = atof(atts[i+1]);
+	   
+	}
+    	
+      }
+   
+    // appelle de la methode du processeur concerne
+    ((FLAG2Map*)toiProc[id])->SetCalibrationFactor (fac); 
+    }
+    
+    if ((string)name == "SetTestFlag") {
+    bool tflg;
+    long badflg;
+    
+	
+    // gestion des arguments de la methode
+    for (i=0; atts[i]; i+=2) {     
+	//initialisation des arguments par defaut si existants
+	tflg = "false";
+	   badflg = FlgToiAll;
+	   
+
+	// mise a jour des arguments
+	
+	if ((string)atts[i] == "tflg") {
+	   tflg = atts[i+1];
+	   
+	}
+    	
+	if ((string)atts[i] == "badflg") {
+	   badflg = atoi(atts[i+1]);
+	   
+	}
+    	
+      }
+   
+    // appelle de la methode du processeur concerne
+    ((FLAG2Map*)toiProc[id])->SetTestFlag (tflg, badflg); 
+    }
+    
+    if ((string)name == "SetTestMin") {
+    bool tmin;
+    double vmin;
+    
+	
+    // gestion des arguments de la methode
+    for (i=0; atts[i]; i+=2) {     
+	//initialisation des arguments par defaut si existants
+	tmin = "false";
+	   vmin = -1.e30;
+	   
+
+	// mise a jour des arguments
+	
+	if ((string)atts[i] == "tmin") {
+	   tmin = atts[i+1];
+	   
+	}
+    	
+	if ((string)atts[i] == "vmin") {
+	   vmin = atof(atts[i+1]);
+	   
+	}
+    	
+      }
+   
+    // appelle de la methode du processeur concerne
+    ((FLAG2Map*)toiProc[id])->SetTestMin (tmin, vmin); 
+    }
+    
+    if ((string)name == "SetTestMax") {
+    bool tmax;
+    double vmax;
+    
+	
+    // gestion des arguments de la methode
+    for (i=0; atts[i]; i+=2) {     
+	//initialisation des arguments par defaut si existants
+	tmax = "false";
+	   vmax = +1.e30;
+	   
+
+	// mise a jour des arguments
+	
+	if ((string)atts[i] == "tmax") {
+	   tmax = atts[i+1];
+	   
+	}
+    	
+	if ((string)atts[i] == "vmax") {
+	   vmax = atof(atts[i+1]);
+	   
+	}
+    	
+      }
+   
+    // appelle de la methode du processeur concerne
+    ((FLAG2Map*)toiProc[id])->SetTestMax (tmax, vmax); 
+    }
+    
+  }
+
+  if (id == "rztoiproc") {
+    
+    if ((string)name == "SetOutPPF") {
+    string ppfname;
+    
+	
+    // gestion des arguments de la methode
+    for (i=0; atts[i]; i+=2) {     
+	//initialisation des arguments par defaut si existants
+	
+
+	// mise a jour des arguments
+	
+	if ((string)atts[i] == "ppfname") {
+	   ppfname = atts[i+1];
+	   
+	}
+    	
+      }
+   
+    // appelle de la methode du processeur concerne
+    ((RzTOIProc*)toiProc[id])->SetOutPPF (ppfname); 
+    }
+    
+  }
+
+  if (id == "rzsimpletoiproc") {
+    
+  }
+
+  if (id == "noisegen") {
+    
+  }
+
+  if (id == "noisegengauss") {
+    
+  }
+
+  if (id == "noisegen00F") {
+    
+  }
+
+  if (id == "meanvarestimator") {
+    
+    if ((string)name == "doNotLookAt") {
+    long flag;
+    
+	
+    // gestion des arguments de la methode
+    for (i=0; atts[i]; i+=2) {     
+	//initialisation des arguments par defaut si existants
+	flag = FlgToiAll;
+	   
+
+	// mise a jour des arguments
+	
+	if ((string)atts[i] == "flag") {
+	   flag = atoi(atts[i+1]);
+	   
+	}
+    	
+      }
+   
+    // appelle de la methode du processeur concerne
+    ((MeanVarEstimator*)toiProc[id])->doNotLookAt (flag); 
+    }
+    
+  }
+
   if (id == "demopipe") {
-    
-  }
-
-  if (id == "fitsreader") {
-    
-  }
-
-  if (id == "fitswriter") {
     
   }
@@ -394,17 +1352,53 @@
   // verification si une balise processeur est fermee pour la gestion des methodes d'initialisation
   
+  if ((string)name == "fitsreader") {
+    id="";
+  }
+  
+  if ((string)name == "fitswriter") {
+    id="";
+  }
+  
   if ((string)name == "smooth") {
     id="";
   }
   
+  if ((string)name == "toi2map") {
+    id="";
+  }
+  
+  if ((string)name == "map2toi") {
+    id="";
+  }
+  
+  if ((string)name == "flag2map") {
+    id="";
+  }
+  
+  if ((string)name == "rztoiproc") {
+    id="";
+  }
+  
+  if ((string)name == "rzsimpletoiproc") {
+    id="";
+  }
+  
+  if ((string)name == "noisegen") {
+    id="";
+  }
+  
+  if ((string)name == "noisegengauss") {
+    id="";
+  }
+  
+  if ((string)name == "noisegen00F") {
+    id="";
+  }
+  
+  if ((string)name == "meanvarestimator") {
+    id="";
+  }
+  
   if ((string)name == "demopipe") {
-    id="";
-  }
-  
-  if ((string)name == "fitsreader") {
-    id="";
-  }
-  
-  if ((string)name == "fitswriter") {
     id="";
   }
Index: trunk/ArchTOIPipe/TestPipes/xsl/makeMainConnect.xsl
===================================================================
--- trunk/ArchTOIPipe/TestPipes/xsl/makeMainConnect.xsl	(revision 2227)
+++ trunk/ArchTOIPipe/TestPipes/xsl/makeMainConnect.xsl	(revision 2238)
@@ -10,5 +10,5 @@
 // main genere automatiquement par xsl
 // ne pas modifier
-// derniere mise a jour : VF le 22/10/2002
+// derniere mise a jour : VF le 29/10/2002 -- derniere version
 
 // inclusions expat
@@ -205,5 +205,5 @@
 	   <xsl:value-of select="@name"/> = <xsl:value-of select="$defaut"/>;
 	   </xsl:if>
-	   <xsl:if test="$typearg='string' or $typearg='char*' or $typearg='char'">
+	   <xsl:if test="$typearg='string' or $typearg='char*' or $typearg='char' or $typearg='bool'">
 	   <xsl:value-of select="@name"/> = "<xsl:value-of select="$defaut"/>";
 	   </xsl:if>
@@ -223,5 +223,5 @@
 	   <xsl:value-of select="@name"/> = atof(atts[i+1]);
 	   </xsl:if>
-	   <xsl:if test="$typearg='char' or $typearg='char*' or $typearg='string'">
+	   <xsl:if test="$typearg='char' or $typearg='char*' or $typearg='string' or $typearg='bool'">
 	   <xsl:value-of select="@name"/> = atts[i+1];
 	   </xsl:if>  
@@ -268,5 +268,5 @@
 	   <xsl:value-of select="@name"/> = <xsl:value-of select="$defaut"/>;
 	   </xsl:if>
-	   <xsl:if test="$typearg='string' or $typearg='char*' or $typearg='char'">
+	   <xsl:if test="$typearg='string' or $typearg='char*' or $typearg='char' or $typearg='bool'">
 	   <xsl:value-of select="@name"/> = "<xsl:value-of select="$defaut"/>";
 	   </xsl:if>
@@ -286,5 +286,5 @@
 	   <xsl:value-of select="@name"/> = atof(atts[i+1]);
 	   </xsl:if>
-	   <xsl:if test="$typearg='char' or $typearg='char*' or $typearg='string'">
+	   <xsl:if test="$typearg='char' or $typearg='char*' or $typearg='string' or $typearg='bool'">
 	   <xsl:value-of select="@name"/> = atts[i+1];
 	   </xsl:if>
Index: trunk/ArchTOIPipe/TestPipes/xsl/processors.xml
===================================================================
--- trunk/ArchTOIPipe/TestPipes/xsl/processors.xml	(revision 2227)
+++ trunk/ArchTOIPipe/TestPipes/xsl/processors.xml	(revision 2238)
@@ -1,4 +1,4 @@
-<!-- Vivien FEBVRE 26/09/2002 -->
-<!-- exemple de fichiers descriptif de processeurs -->
+<!-- Vivien FEBVRE le 26/09/2002 -->
+<!-- exemple de fichier descriptif de processeurs -->
 
 
@@ -9,11 +9,25 @@
 
 
+<processor name="fitsreader" class="FITSTOIReader" include="fitstoirdr.h">   
+<init>
+<param name="fn" type="string" default="test.fits"/>
+</init>
+<connection>
+</connection>
+</processor>
+
+<processor name="fitswriter" class="FITSTOIWriter" include="fitstoiwtr.h">   
+<init>
+<param name="fn" type="string"/>
+</init>
+<connection>
+</connection>
+</processor>
+
 <processor name="smooth" class="DataSmooth" include="smoothtoi.h">   
-
 <init>
 <param name="lsm" type="uint_4"/>
 <param name="deg" type="uint_4"/>
 </init>
-
 <attribute name="DoNotLookAt" methode="DoNotLookAt"> 
 <param name="flag" type="uint_8" default="FlgToiAll"/>
@@ -28,13 +42,193 @@
 <param name="lsmin" type="uint_4" default="0"/>
 </attribute>
-
 <connection>
 <input name="DataIn"/>
 <output name="DataSmooth"/>
 </connection>
-
-</processor>
-
-
+</processor>
+
+<processor name="toi2map" class="TOI2Map" include="toi2map.h">   
+<init>
+<param name="map" type="string"/>
+<param name="wmap" type="string" default="NULL"/>
+</init>
+<attribute name="SetEquinox" methode="SetEquinox"> 
+<param name="actualyear" type="double" default="2000"/>
+</attribute>
+<attribute name="SetCoorIn" methode= "SetCoorIn"> 
+<param name="mfg" type="long" default="TypCoordGalStd"/>
+</attribute>
+<attribute name="SetCoorInChr" methode="SetCoorIn"> 
+<param name="ctype" type="char*"/>
+</attribute>
+<attribute name="SetCoorMap" methode="SetCoorMap"> 
+<param name="mfg" type="long" default="TypCoordGal"/>
+</attribute>
+<attribute name="SetCoorMapChr" methode="SetCoorMap"> 
+<param name="ctype" type="char*"/>
+</attribute>
+<attribute name="SetCalibrationFactor" methode="SetCalibrationFactor"> 
+<param name="fac" type="double" default="1."/>
+</attribute>
+<attribute name="SetTestFlag" methode="SetTestFlag"> 
+<param name="tflg" type="bool" default="false"/>
+<param name="badflg" type="long" default="FlgToiAll"/>
+</attribute>
+<attribute name="SetTestMin" methode="SetTestMin"> 
+<param name="tmin" type="bool" default="false"/>
+<param name="vmin" type="double" default="-1.e30"/>
+</attribute>
+<attribute name="SetTestMax" methode="SetTestMax"> 
+<param name="tmax" type="bool" default="false"/>
+<param name="vmax" type="double" default="+1.e30"/>
+</attribute>
+<connection>
+<input name="Coord1In"/>
+<input name="Coord2In"/>
+<input name="BoloIn"/>
+</connection>
+</processor>
+
+<processor name="map2toi" class="Map2TOI" include="map2toi.h">   
+<init>
+<param name="sph" type="string"/>
+</init>
+<attribute name="SetBad" methode="SetBad"> 
+<param name="flg" type="long" default="FlgToiOut"/>
+</attribute>
+<attribute name="SetEquinox" methode="SetEquinox"> 
+<param name="actualyear" type="double" default="2000"/>
+</attribute>
+<attribute name="SetCoorIn" methode= "SetCoorIn"> 
+<param name="mfg" type="long" default="TypCoordGalStd"/>
+</attribute>
+<attribute name="SetCoorInChr" methode="SetCoorIn"> 
+<param name="ctype" type="char*"/>
+</attribute>
+<attribute name="SetCoorMap" methode="SetCoorMap"> 
+<param name="mfg" type="long" default="TypCoordGal"/>
+</attribute>
+<attribute name="SetCoorMapChr" methode="SetCoorMap"> 
+<param name="ctype" type="char*"/>
+</attribute>
+<connection>
+<input name="Coord1In"/>
+<input name="Coord2In"/>
+<output name="Coord1Out"/>
+<output name="Coord2Out"/>
+<output name="BoloOut"/>
+</connection>
+</processor>
+
+<processor name="flag2map" class="FLAG2Map" include="flag2map.h">   
+<init>
+<param name="map" type="string"/>
+<param name="wmap" type="string" default="NULL"/>
+</init>
+<attribute name="SetEquinox" methode="SetEquinox"> 
+<param name="actualyear" type="double" default="2000"/>
+</attribute>
+<attribute name="SetCoorIn" methode= "SetCoorIn"> 
+<param name="mfg" type="long" default="TypCoordGalStd"/>
+</attribute>
+<attribute name="SetCoorInChr" methode="SetCoorIn"> 
+<param name="ctype" type="char*"/>
+</attribute>
+<attribute name="SetCoorMap" methode="SetCoorMap"> 
+<param name="mfg" type="long" default="TypCoordGal"/>
+</attribute>
+<attribute name="SetCoorMapChr" methode="SetCoorMap"> 
+<param name="ctype" type="char*"/>
+</attribute>
+<attribute name="SetCalibrationFactor" methode="SetCalibrationFactor"> 
+<param name="fac" type="double" default="1."/>
+</attribute>
+<attribute name="SetTestFlag" methode="SetTestFlag"> 
+<param name="tflg" type="bool" default="false"/>
+<param name="badflg" type="long" default="FlgToiAll"/>
+</attribute>
+<attribute name="SetTestMin" methode="SetTestMin"> 
+<param name="tmin" type="bool" default="false"/>
+<param name="vmin" type="double" default="-1.e30"/>
+</attribute>
+<attribute name="SetTestMax" methode="SetTestMax"> 
+<param name="tmax" type="bool" default="false"/>
+<param name="vmax" type="double" default="+1.e30"/>
+</attribute>
+<connection>
+<input name="Coord1In"/>
+<input name="Coord2In"/>
+<input name="BoloIn"/>
+</connection>
+</processor>
+
+<processor name="rztoiproc" class="RzTOIProc" include="rztoi.h">   
+<init>
+<param name="w1" type="int" default="4096"/>
+<param name="w2" type="int" default="128"/>
+<param name="nmax" type="int" default="20"/>
+</init>
+<attribute name="SetOutPPF" methode="SetOutPPF"> 
+<param name="ppfname" type="string"/>
+</attribute>
+<connection>
+<input name="in"/>
+<output name="out"/>
+</connection>
+</processor>
+
+<processor name="rzsimpletoiproc" class="RzSimpleTOIProc" include="rztoi.h">   
+<init>
+<param name="wsz" type="int" default="1024"/>
+<param name="fact" type="double" default="1.0"/>
+</init>
+<connection>
+<input name="in"/>
+<output name="out"/>
+</connection>
+</processor>
+
+<processor name="noisegen" class="NoiseGen" include="noisegen.h">   
+<connection>
+<output name="noise"/>
+</connection>
+</processor>
+
+<processor name="noisegengauss" class="NoiseGenGauss" include="noisegen.h">   
+<init>
+<param name="sigma" type="float"/>
+</init>
+<connection>
+<output name="noise"/>
+</connection>
+</processor>
+
+<processor name="noisegen00F" class="NoiseGenOOF" include="noisegen.h">   
+<init>
+<param name="fknee" type="float"/>
+<param name="sigma" type="float"/>
+</init>
+<connection>
+<output name="noise"/>
+</connection>
+</processor>
+
+<processor name="meanvarestimator" class="MeanVarEstimator" include="meanvarestim.h">   
+<init>
+<param name="nsamp" type="int"/>
+</init>
+<attribute name="doNotLookAt" methode="doNotLookAt"> 
+<param name="flag" type="long" default="FlgToiAll"/>
+</attribute>
+<connection>
+<input name="signal"/>
+<output name="mean"/>
+<output name="variance"/>
+</connection>
+</processor>
+
+
+
+<!-- processeur fictif de demo -->
 <processor name="demopipe" class="DemoPipe" include="demopipe.h">   
 
@@ -49,25 +243,4 @@
 </processor>
 
-<processor name="fitsreader" class="FITSTOIReader" include="fitstoirdr.h">   
-<init>
-<param name="fn" type="string" default="test.fits"/>
-</init>
-
-<connection>
-</connection>
-
-</processor>
-
-<processor name="fitswriter" class="FITSTOIWriter" include="fitstoiwtr.h">   
-<init>
-<param name="fn" type="string"/>
-</init>
-
-<connection>
-</connection>
-
-</processor>
-
-
 </processors>
 
